> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/eksploatacja-aplikacji/dashboard/dashboard-dla-posrednika-hipotecznego.md).

# Dashboard dla pośrednika hipotecznego

{% hint style="info" %}
Dostępność funkcjonalności zależy od licencji i może nie być dostępna we wszystkich wdrożeniach.
{% endhint %}

## Założenia:

* Pośrednik widzi tylko sprawy, które sam rozpoczął, nawet gdy nie jest już aktualnie do nich przypisany
* Pośrednik może wyszukiwać sprawy po numerze sprawy i nazwisku klienta

{% hint style="info" %}
Dashboard korzysta z danych bazy projekcji, która jest zasilana poprzez zdarzenia emitowane z eximeeBpms. Rozpoczęta przez pośrednika sprawa pojawia się na liście po wystartowaniu procesu (sprawy) w eximeeBpms, odpowiada za to rzucany event RouterProcessStartedEvent
{% endhint %}

## Zmiany potrzebne do powiązania aplikacji z pośrednikiem jej startującym

* Baza projekcji w tabelce **process\_list** została rozszerzona o kolumnę **startedBy**. Kolumna przechowuje login użytkownika, który wystartował wniosek.
* Dashboard korzysta z bazy projekcji zasilanej zdarzeniami, dlatego dodano do **KafkaProcessListEventConsumer** obsługę i konsumpcję event'u \*\*RouterProcessStartedEvent zawierającego login użytkownika. Tenże login trafia do kolumny **startedBy**.

## Definiowanie widoczności funkcjonalności dashboardowych

Widoczność funkcjonalności jest sterowana rolami w aplikacji. Pośrednik hipoteczny ma pozwolenie **feature\_only\_started\_processes**, która pozwala mu widzieć:

* inbox (listę spraw),
* start nowej aplikacji hipotecznej poprzez przycisk Nowa hipoteka (podpięta aplikacja: simpleMortgage\_app),
* filtrowanie wniosków dostosowane do pośrednika hipotecznego.

Powinien mieć również uprawnienie **feature\_process\_list** - pozwala ono mieć wgląd do listy spraw.

## Filtrowanie spraw w dashboardzie

* Dodano filtr przy szukaniu wniosków na backendzie - pośrednik pobierze wyłącznie wnioski, które sam rozpoczął.
  * w wyszukiwarce nad listą spraw można filtrować sprawy po nazwisku klienta,
  * w oknie Filtr w polu Id sprawy po wpisaniu części numeru sprawy powinniśmy zobaczyć przefiltrowane sprawy.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.eximee.com/eksploatacja-aplikacji/dashboard/dashboard-dla-posrednika-hipotecznego.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
